Bug 810635 - [abrt] system-config-samba-1.2.96-1.fc16: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.scsamba.core.sambaParser.SambaCompoundParseError: Traceback (most recent call last):
Summary: [abrt] system-config-samba-1.2.96-1.fc16: connection.py:630:call_blocking:DBu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8314217ad1138f750b7310dec05...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-07 13:37 UTC by u5afe
Modified: 2013-02-13 19:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:38:05 UTC
Type: ---


Attachments (Terms of Use)

Description u5afe 2012-04-07 13:37:40 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/system-config-samba
comment:        after installation from the Add/Remove Software utility I tried to run it from the pop-up box after installation
executable:     /usr/bin/system-config-samba
kernel:         3.3.0-8.fc16.x86_64
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.scsamba.core.sambaParser.SambaCompoundParseError: Traceback (most recent call last):
time:           Sat 07 Apr 2012 23:35:54 EST
uid:            1000
username:       anthony

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.scsamba.core.sambaParser.SambaCompoundParseError: Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 123, in reply_handler
:    result = method(self, *p, **k)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 54, in readSmbConf
:    return self.backend.readSmbConf()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 96, in readSmbConf
:    self.parser.parse(filecontents)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 377, in parse
:    raise SambaCompoundParseError(self.path, errors)
:SambaCompoundParseError: Errors found in '/etc/samba/smb.conf':
:Syntax error at line 318
:
:
:Traceback (most recent call last):
:  File "/usr/bin/system-config-samba", line 56, in <module>
:    use_dbus=use_dbus)
:  File "/usr/share/system-config-samba/mainWindow.py", line 136, in __init__
:    self.samba_data = sambaConfig.SambaConfig(self.samba_backend)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 29, in __init__
:    self.parseFile()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 32, in parseFile
:    return self.parse(self.backend.readSmbConf())
:  File "<string>", line 2, in readSmbConf
:  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 141, in _enable_proxy
:    return func(*p, **k)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/proxy/sambaBackend.py", line 56, in readSmbConf
:    return self.dbus_interface.readSmbConf()
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 68, in __call__
:    return self._proxy_method(*args, **keywords)
:  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
:    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Python.scsamba.core.sambaParser.SambaCompoundParseError: Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 123, in reply_handler
:    result = method(self, *p, **k)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 54, in readSmbConf
:    return self.backend.readSmbConf()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 96, in readSmbConf
:    self.parser.parse(filecontents)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 377, in parse
:    raise SambaCompoundParseError(self.path, errors)
:SambaCompoundParseError: Errors found in '/etc/samba/smb.conf':
:Syntax error at line 318
:
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0x7f0f59dce770>
:args: ()
:utf8_strings: False
:bus_name: dbus.UTF8String(':1.100')
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/fedoraproject/Config/Samba/Backend'
:timeout: 2147483.647
:signature: ''
:dbus_interface: 'org.fedoraproject.Config.Samba.Backend'
:message: <dbus.lowlevel.MethodCallMessage object at 0x7f0f59feea98>
:method: 'readSmbConf'

Comment 1 suelynnes 2012-11-01 20:17:50 UTC
Rebooted system after reinstalling all of samba and reconfiguring. This is the second time now this has occurred. May have to try a different distro. Need samba to work.

Package: system-config-samba-1.2.97-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)

Comment 2 Fedora End Of Life 2013-01-16 16:11:56 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 19:38:09 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.